
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2024034114 --
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0003 --*/
ALTER TABLE TT_IVO ADD COLUMN ENTREGUE VARCHAR(1) DEFAULT 'N';

/*-- SEQ 0004 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0005 --*/
-- Ticket 2024034114 --
ALTER TABLE TT_IVO ADD COLUMN QTDENTREGUE Numeric(14,4) ;


/*-- SEQ 0006 --*/
-- Ticket 2024034114 --
ALTER TABLE TT_ROM ADD COLUMN KM_INICIAL Numeric(12,4) ;


/*-- SEQ 0007 --*/
-- Ticket 2024034114 --
ALTER TABLE TT_ROM ADD COLUMN KM_FINAL Numeric(12,4) ;


/*-- SEQ 0008 --*/
-- Ticket 2024034114 --
SELECT DISABLETRIGGERS(LOWER('TT_PLA'));

/*-- SEQ 0009 --*/
ALTER TABLE TT_PLA ADD COLUMN PERMITE_ENTREGA_PGT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0010 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PLA'));

/*-- SEQ 0011 --*/
-- Ticket 2024034114 --
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_ENTREGUE CHECK (ENTREGUE IN ('N', 'P', 'E'));

/*-- SEQ 0012 --*/
-- Ticket 2024034114 --
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_QTDENTREGUE CHECK ((QTDENTREGUE IS NULL) OR (QTDENTREGUE >= 0));

/*-- SEQ 0013 --*/
-- Ticket 2024034114 --
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_PERMITE_ENTREGA_PGT CHECK (PERMITE_ENTREGA_PGT IN ('T', 'F'));


/*-- SEQ 0014 --*/
-- Ticket 2024034126 --
ALTER TABLE TT_POR ADD COLUMN TIPMEI VARCHAR(1) ;


/*-- SEQ 0015 --*/
-- Ticket 2024034126 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0016 --*/
-- Ticket 2024034126 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'MEIOPGT_ORC_DESK', 'Utiliza Meio de Pagamento no Parcelamento do Order Desktop', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'MEIOPGT_ORC_DESK'));
/*-- SEQ 0017 --*/
-- Ticket 2024034126 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));
 
/*-- SEQ 0018 --*/
-- Ticket 2024034126 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0019 --*/
-- Ticket 2024034126 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'MEIOPGT_ORC_DESK'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0020 --*/
-- Ticket 2024034126 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0021 --*/
-- Ticket 2024055614 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0022 --*/
-- Ticket 2024055614 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PIS_S_ICMS_COM', 'Retirar o valor do ICMS prprio da Base de PIS/COFINS nas entradas/compras?', 'B', 'T', 'T', 'F', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PIS_S_ICMS_COM'));

/*-- SEQ 0023 --*/
-- Ticket 2024055614 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0024 --*/
-- Tarefa 2024055614 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0025 --*/
-- Tarefa 2024055614 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, 'T', 'T', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'PIS_S_ICMS_COM'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS)
   AND EXISTS(SELECT 1 FROM TT_FUN WHERE NOMFUN = 'PIS_S_ICMS');
   
/*-- SEQ 0026 --*/
-- Tarefa 2024055614 --   
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, 'T', 'F', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'PIS_S_ICMS_COM'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS)
   AND NOT EXISTS(SELECT 1 FROM TT_FUN WHERE NOMFUN = 'PIS_S_ICMS');

/*-- SEQ 0027 --*/
-- Tarefa 2024055614 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0028 --*/
-- Ticket 2024055614 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0029 --*/
-- Ticket 2024055614 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PIS_S_ICMS_VEN', 'Retirar o valor do ICMS prprio da Base de PIS/COFINS nas sadas?', 'B', 'T', 'T', 'F', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PIS_S_ICMS_VEN'));

/*-- SEQ 0030 --*/
-- Ticket 2024055614 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0031 --*/
-- Tarefa 2024055614 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0032 --*/
-- Tarefa 2024055614 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, 'T', 'T', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'PIS_S_ICMS_VEN'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS)
   AND EXISTS(SELECT 1 FROM TT_FUN WHERE NOMFUN = 'PIS_S_ICMS');
   
/*-- SEQ 0033 --*/
-- Tarefa 2024055614 --   
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, 'T', 'F', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'PIS_S_ICMS_VEN'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS)
   AND NOT EXISTS(SELECT 1 FROM TT_FUN WHERE NOMFUN = 'PIS_S_ICMS');

/*-- SEQ 0034 --*/
-- Tarefa 2024055614 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0035 --*/
-- Ticket 2024060911 --
SELECT ExecAlteraTipoColuna('TT_RTB','CARTEI','CHAR(2)');



/*-- SEQ 0036 --*/
-- Ticket 2024034127 --
ALTER TABLE TD_FIL ADD COLUMN CONTA_VENDA_CONJUNTA Numeric(5, 0) ;


/*-- SEQ 0037 --*/
-- Ticket 2024034127 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_FIL_CCC FOREIGN KEY (CONTA_VENDA_CONJUNTA) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0038 --*/
-- Ticket 2024034127 --
CREATE INDEX I_FK_FIL_CCC ON TD_FIL (CONTA_VENDA_CONJUNTA)  ;

/*-- SEQ 0039 --*/
-- Ticket 2024034127 --
ALTER TABLE TT_PRO ADD COLUMN FILFAT CHAR(3) ;


/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_DFIL_FILFAT FOREIGN KEY (FILFAT) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0041 --*/
-- Ticket 2024034127 --
CREATE INDEX I_FK_PRO_DFIL_FILFAT ON TT_PRO (FILFAT)  ;


/*-- SEQ 0042 --*/
-- Ticket 2024077493 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0043 --*/
-- Ticket 2024077493 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'FILREMESSADIFERENTE', 'Permite emisso de nota de Remessa diferente da nota de Fatura?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'FILREMESSADIFERENTE'));

/*-- SEQ 0044 --*/
-- Ticket 2024077493 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0045 --*/
-- Tarefa 2024077493 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0046 --*/
-- Tarefa 2024077493 --
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, 'T', 'F', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'FILREMESSADIFERENTE'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS)
   AND NOT EXISTS (SELECT 'OK'
                     FROM TD_FIL
                    WHERE CGCFIL LIKE '05409686000%');
   
/*-- SEQ 0047 --*/
-- Tarefa 2024077493 --   
INSERT INTO TT_IPC (ID_IPC, ID_PCS, IPCATI, VLRBOO, DATINC, ATU_EM)
SELECT NEXTVAL('SQIPC'), PCS.ID_PCS, 'T', 'T', AGORA(), AGORA()
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'FILREMESSADIFERENTE'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS)
   AND EXISTS (SELECT 'OK'
                 FROM TD_FIL
                WHERE CGCFIL LIKE '05409686000%');

/*-- SEQ 0048 --*/
-- Tarefa 2024077493 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TD_FIL DROP COLUMN CONTA_VENDA_CONJUNTA CASCADE;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
DROP INDEX I_FK_FIL_CCC;

/*-- SEQ 0051 --*/
-- Ticket 2024034127 --
ALTER TABLE TT_CFG ADD COLUMN CC_VENDACONJUNTA Numeric(5, 0) ;


/*-- SEQ 0052 --*/
-- Ticket 2024034127 --
ALTER TABLE TW_CFG ADD COLUMN CC_VENDACONJUNTA Numeric(5, 0) ;


/*-- SEQ 0053 --*/
-- Ticket 2022073397 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_CC_VENDACONJUNTA FOREIGN KEY (CC_VENDACONJUNTA) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0054 --*/
-- Ticket 2022073397 --
CREATE INDEX I_FK_CFG_CC_VENDACONJUNTA ON TT_CFG (CC_VENDACONJUNTA)  ;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
CREATE TABLE TT_NMF (
    ID_TAB Numeric(5), 
    CODFIL CHAR(3),
    NUMECF VARCHAR(3),
    FILUSU CHAR(3),
    CODUSU VARCHAR(3),
    DATINC TIMESTAMP,
    ATU_EM TIMESTAMP,
    XMLDOC TEXT,
    FLGEST VARCHAR(1) DEFAULT 'A',
    MSGRET TEXT)  ;
    
/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_NMF ADD CONSTRAINT PK_NMF PRIMARY KEY (ID_TAB);
    
/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_NMF ADD CONSTRAINT CK_NMF_FLGEST CHECK (FLGEST IN ('A', 'P', 'F'));

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
CREATE SEQUENCE SQNMF INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0059 --*/
-- Ticket 2024034114 --
ALTER TABLE TT_IVO ADD COLUMN QTDENTREGUEPROBLEMA Numeric(14,4) ;


/*-- SEQ 0060 --*/
-- Ticket 2024034114 --
ALTER TABLE TT_IVO ADD COLUMN OBSERVACAOENTREGA VARCHAR(254) ;


/*-- SEQ 0061 --*/
-- Ticket 2024034114 --
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0062 --*/
ALTER TABLE TT_IVO ADD COLUMN ACAOENTREGA VARCHAR(1) DEFAULT 'N';

/*-- SEQ 0063 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0064 --*/
-- Ticket 2024034114 --
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_ACAOENTREGA CHECK (ACAOENTREGA IN ('N', 'R', 'D'));


/*-- SEQ 0065 --*/
-- Ticket NovoPOS --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0066 --*/
-- Ticket NovoPOS --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PERMSANGRIAVALORSUP', 'Permite sangria com valor superior ao recebido no caixa?', 'B', 'T', 'F', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMSANGRIAVALORSUP'));

/*-- SEQ 0067 --*/
-- Ticket NovoPOS --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0068 --*/
-- Ticket NovoPOS --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0069 --*/
-- Ticket NovoPOS --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMSANGRIAVALORSUP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0070 --*/
-- Ticket NovoPOS --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0071 --*/
-- Ticket NovoPOS --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));
/*-- SEQ 0072 --*/
-- Ticket NovoPOS --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXIBIR_DAVS_FILIAIS', 'Exibir DAVs de todas as filiais para resgate no PoS Pro?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBIR_DAVS_FILIAIS'));
/*-- SEQ 0073 --*/
-- Ticket NovoPOS --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));
/*-- SEQ 0074 --*/
-- Ticket NovoPOS --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));
/*-- SEQ 0075 --*/
-- Ticket NovoPOS --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'EXIBIR_DAVS_FILIAIS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
/*-- SEQ 0076 --*/
-- Ticket NovoPOS --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0077 --*/
-- Ticket 2024083340 --
ALTER TABLE TT_IVO DROP CONSTRAINT CK_IVO_ACAOENTREGA CASCADE;

/*-- SEQ 0078 --*/
-- Ticket 2024083340 --
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_ACAOENTREGA CHECK (ACAOENTREGA IN ('N', 'R', 'D', 'E', 'V'));


/*-- SEQ 0079 --*/
-- Ticket NovoPOS --
ALTER TABLE TT_IOR DROP CONSTRAINT FK_IOR_DECF_ECFVEN CASCADE; 


/*-- SEQ 0080 --*/
-- Ticket NovoPOS --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0081 --*/
-- Ticket NovoPOS --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'PER_IMP_RETIRA', 'Permite impresso de retira no depsito no caixa?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PER_IMP_RETIRA'));

/*-- SEQ 0082 --*/
-- Ticket NovoPOS --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0083 --*/
-- Ticket NovoPOS --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0084 --*/
-- Ticket NovoPOS --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PER_IMP_RETIRA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0085 --*/
-- Ticket NovoPOS --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0086 --*/
-- Ticket NovoPOS --
ALTER TABLE TT_CCC ADD COLUMN CODBAR VARCHAR(44) ;


/*-- SEQ 0087 --*/
-- Ticket NovoPOS --
ALTER TABLE TT_CCC ADD COLUMN CODMAN VARCHAR(44) ;



/*-- SEQ 0088 --*/
-- Ticket 2024101040 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ADD COLUMN FLGATI CHAR(1) ;



/*-- SEQ 0089 --*/
-- Ticket 2024096014 --
/*-- IGNORE ERRO --*/ 
SELECT * FROM NADA;


/*-- SEQ 0090 --*/
-- Ticket 2024096014 --
UPDATE TT_CLI 
   SET ATU_EM = AGORA()
 WHERE TRIM(COALESCE(INSEST, '')) = '';


/*-- SEQ 0091 --*/
-- Ticket 2024112213 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ADD COLUMN NUMDOC VARCHAR(20) ;



/*-- SEQ 0092 --*/
-- Ticket 2024127916 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ADD COLUMN CLISER VARCHAR(2) ;



/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024084672 --
ALTER TABLE TT_IPE DROP CONSTRAINT CK_IPE_QTDCAN CASCADE;


/*-- SEQ 0094 --*/
-- Ticket 2024034127 --
ALTER TABLE TT_PRO ADD COLUMN FILFAT_NOVO CHAR(3) ;


/*-- SEQ 0095 --*/
-- Ticket 2024034127 --
UPDATE TT_PRO SET FILFAT_NOVO=FILFAT;

/*-- SEQ 0096 --*/
-- Ticket 2024034127 --
ALTER TABLE TT_PRO DROP CONSTRAINT FK_PRO_DFIL_FILFAT CASCADE;

/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
DROP INDEX I_FK_PRO_DFIL_FILFAT;

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_PRO DROP COLUMN FILFAT CASCADE;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_PRO RENAME COLUMN FILFAT_NOVO TO FILFAT;

/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_DFIL_FILFAT FOREIGN KEY (FILFAT) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
CREATE INDEX I_FK_PRO_DFIL_FILFAT ON TT_PRO (FILFAT)  ;

/*-- SEQ 0102 --*/
-- Ticket 2024034127 --
CREATE TABLE TT_NMF_NOVA (
    ID_TAB Numeric,
    CODFIL CHAR(3),
    NUMECF VARCHAR(3),
    FILUSU CHAR(3),
    CODUSU VARCHAR(3),
    DATINC TIMESTAMP,
    ATU_EM TIMESTAMP,
    XMLDOC TEXT,
    FLGEST VARCHAR(1) DEFAULT 'A',
    MSGRET TEXT)  ;

/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
INSERT INTO TT_NMF_NOVA (ID_TAB, CODFIL, NUMECF, CODUSU, DATINC, ATU_EM, XMLDOC, FLGEST, MSGRET) 
    SELECT NMF.ID_TAB, NMF.CODFIL, NMF.NUMECF, NMF.CODUSU, NMF.DATINC, NMF.ATU_EM, NMF.XMLDOC, NMF.FLGEST, 
    NMF.MSGRET  FROM TT_NMF NMF;
 
/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
DROP TABLE TT_NMF CASCADE;

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_NMF_NOVA RENAME TO TT_NMF;
    
/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_NMF ADD CONSTRAINT PK_NMF PRIMARY KEY (ID_TAB);
    
/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2024034127 --
ALTER TABLE TT_NMF ADD CONSTRAINT CK_NMF_FLGEST CHECK (FLGEST IN ('A', 'P', 'F'));


/*-- SEQ 0108 --*/
-- Ticket 2024025856 --
UPDATE TT_USU SET ATU_EM = AGORA();


/*-- SEQ 0109 --*/
-- Ticket 2024127374 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0110 --*/
-- Ticket 2024127374 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXIBIR_PARC_FILIAIS', 'Exibir parcelas apenas da filial do PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBIR_PARC_FILIAIS'));
                     
/*-- SEQ 0111 --*/
-- Ticket 2024127374 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0112 --*/
-- Ticket 2024127374 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0113 --*/
-- Ticket 2024127374 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'EXIBIR_PARC_FILIAIS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0114 --*/
-- Ticket 2024127374 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0115 --*/
-- Ticket 2025012514 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));
/*-- SEQ 0116 --*/
-- Ticket 2025012514 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'BUSCAR_CLI_CHAVE_POS', 'Permitir filtrar o cliente atravs da Chave no PoS Pro?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BUSCAR_CLI_CHAVE_POS'));
/*-- SEQ 0117 --*/
-- Ticket 2025012514 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));
/*-- SEQ 0118 --*/
-- Ticket 2025012514 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));
/*-- SEQ 0119 --*/
-- Ticket 2025012514 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'BUSCAR_CLI_CHAVE_POS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
/*-- SEQ 0120 --*/
-- Ticket 2025012514 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));

